Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class StakeholderValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.contact.StakeholderValue

Direct Known Subclasses:
  PersonValue

public class StakeholderValue
extends SmartValue

A Stakeholder represents a personal or business contact. It is a holder for any type of information that might be used to communicate with that entity. Specifically, it provides a a collection of Postal Addresses, Phone Numbers, Emails, and Urls. It includes special functions for handling addresses as described in the getPrimaryAddress and getNamedAddress methods..

See Also:
  `Stakeholder`, `StakeholderHome`, `Stakeholder.getStakeholderByValue()`, `Stakeholder.setStakeholderByValue(StakeholderValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.TreeMap` | `addresses` address (Map) [Stakeholder] <*>------> [`theory.smart.axiom.contact.Address`] 0..*
`java.lang.String` | `description` description [Stakeholder] <*>------> [`String`]
`com.sun.java.util.collections.TreeMap` | `emails` email (Map) [Stakeholder] <*>------> [`theory.smart.axiom.contact.Email`] 0..*
`com.sun.java.util.collections.LinkedList` | `faxes` fax (List) [Stakeholder] <*>------> [`theory.smart.axiom.contact.PhoneNumber`] 0..*
`java.lang.String` | `identifier` identifier [Stakeholder] <*>------> [`String`] (Primary Key)
`com.sun.java.util.collections.TreeMap` | `phones` phone (Map) [Stakeholder] <*>------> [`theory.smart.axiom.contact.PhoneNumber`] 0..*
`com.sun.java.util.collections.TreeMap` | `urls` url (Map) [Stakeholder] <*>------> [`theory.smart.axiom.contact.Url`] 0..*

Constructor Summary
`protected` | `StakeholderValue()` Only get/setStakeholderByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [Stakeholder] <*>------> [String] (Primary Key)

### description

    public java.lang.String description

                        description
       [Stakeholder] <*>------> [String]

### emails

    public com.sun.java.util.collections.TreeMap emails

                        email (Map)
       [Stakeholder] <*>------> [theory.smart.axiom.contact.Email]
                           0..*

### phones

    public com.sun.java.util.collections.TreeMap phones

                        phone (Map)
       [Stakeholder] <*>------> [theory.smart.axiom.contact.PhoneNumber]
                           0..*

### faxes

    public com.sun.java.util.collections.LinkedList faxes

                        fax (List)
       [Stakeholder] <*>------> [theory.smart.axiom.contact.PhoneNumber]
                           0..*

### urls

    public com.sun.java.util.collections.TreeMap urls

                        url (Map)
       [Stakeholder] <*>------> [theory.smart.axiom.contact.Url]
                           0..*

### addresses

    public com.sun.java.util.collections.TreeMap addresses

                        address (Map)
       [Stakeholder] <*>------> [theory.smart.axiom.contact.Address]
                           0..*

Constructor Detail

### StakeholderValue

    protected StakeholderValue()

  Only get/setStakeholderByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.